Bug 836765 - [Ivy Bridge] Unable to configure 3 display multihead / X fails to start with 3 displays connected
[Ivy Bridge] Unable to configure 3 display multihead / X fails to start with ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 00:51 EDT by Dariusz Garbowski
Modified: 2015-06-29 07:39 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:39:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (505.85 KB, text/plain)
2012-07-01 00:51 EDT, Dariusz Garbowski
no flags Details
xrandr --verbose (14.87 KB, text/plain)
2012-07-01 00:52 EDT, Dariusz Garbowski
no flags Details
xrandr (1.52 KB, text/plain)
2012-07-01 00:52 EDT, Dariusz Garbowski
no flags Details
dmesg with drm.debug=4 (247.74 KB, text/plain)
2012-07-04 02:45 EDT, Dariusz Garbowski
no flags Details
dmesg with drm.debug=14 -- booting to runlevel 3 (135.99 KB, text/plain)
2013-04-25 16:19 EDT, Ian Pilcher
no flags Details
dmesg with drm.debug=14 (continued) -- trying to start X (61.72 KB, text/plain)
2013-04-25 16:20 EDT, Ian Pilcher
no flags Details
X.org log (28.49 KB, text/plain)
2013-04-25 16:21 EDT, Ian Pilcher
no flags Details

  None (edit)
Description Dariusz Garbowski 2012-07-01 00:51:07 EDT
Created attachment 595503 [details]
Xorg.0.log

Description of problem:
Trying to configure 3 displays on i7-3770K Intel HD4000 results in an error. It doesn't seem to be possible to have 3 displays working: one via DVI, one via VGA and one via HDMI.

-----------------------------
Version-Release number of selected component (if applicable):
# rpm -qa |grep xorg
xorg-x11-drv-ast-0.93.9-6.fc17.x86_64
xorg-x11-drv-cirrus-1.3.2-19.fc17.x86_64
xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
xorg-x11-drv-qxl-0.0.22-0.fc17.x86_64
xorg-x11-resutils-7.5-3.fc17.x86_64
xorg-x11-drv-vmmouse-12.8.0-1.fc17.x86_64
xorg-x11-font-utils-7.5-7.fc17.x86_64
xorg-x11-utils-7.5-6.fc17.x86_64
xorg-x11-drv-void-1.4.0-8.fc17.x86_64
xorg-x11-fonts-Type1-7.5-5.fc17.noarch
xorg-x11-drv-vesa-2.3.1-1.fc17.x86_64
xorg-x11-drv-nouveau-0.0.16-37.20120306gitf5d1cd2.fc17.x86_64
xorg-x11-server-Xorg-1.12.2-3.fc17.x86_64
xorg-x11-server-utils-7.5-12.fc17.x86_64
xorg-x11-server-common-1.12.2-3.fc17.x86_64
xorg-x11-xkb-utils-7.5-6.fc17.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.5-5.fc17.noarch
xorg-x11-drv-mga-1.4.13-19.20120104git9223c44a7.fc17.x86_64
xorg-x11-drv-vmware-12.0.2-1.fc17.x86_64
xorg-x11-drv-synaptics-1.6.2-1.fc17.x86_64
xorg-x11-drv-fbdev-0.4.2-8.fc17.x86_64
xorg-x11-apps-7.6-5.fc17.x86_64
xorg-x11-drv-dummy-0.3.5-4.fc17.x86_64
xorg-x11-drv-openchrome-0.2.906-1.fc17.x86_64
xorg-x11-server-Xephyr-1.12.2-3.fc17.x86_64
xorg-x11-xtrans-devel-1.2.7-1.fc17.noarch
xorg-x11-xinit-1.3.2-5.fc17.x86_64
xorg-x11-drv-wacom-0.14.0-2.fc17.x86_64
xorg-x11-xauth-1.0.7-1.fc17.x86_64
xorg-x11-proto-devel-7.6-21.fc17.noarch
xorg-x11-drv-intel-2.19.0-5.fc17.x86_64
xorg-x11-drv-evdev-2.7.0-2.fc17.x86_64

# rpm -qa |grep mesa
mesa-libGLES-8.0.3-1.fc17.x86_64
mesa-libglapi-8.0.3-1.fc17.x86_64
mesa-libGL-devel-8.0.3-1.fc17.x86_64
mesa-dri-filesystem-8.0.3-1.fc17.x86_64
mesa-libxatracker-8.0.3-1.fc17.x86_64
mesa-libGL-8.0.3-1.fc17.x86_64
mesa-libGLU-devel-8.0.3-1.fc17.x86_64
mesa-libEGL-8.0.3-1.fc17.x86_64
mesa-dri-drivers-8.0.3-1.fc17.x86_64
mesa-libgbm-8.0.3-1.fc17.x86_64
mesa-libGLU-8.0.3-1.fc17.x86_64

# uname -a
Linux localhost.localdomain 3.4.3-1.fc17.x86_64 #1 SMP Mon Jun 18 19:53:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

-----------------------------
How reproducible:
$ xrandr --verbose --output VGA1 --mode 1920x1200 --output HDMI2 --mode 1920x1200 --right-of VGA1 --output HDMI3 --mode 1920x1080 --right-of HDMI2
screen 0: 5760x1200 1512x315 mm  96.76dpi
crtc 0:    1920x1200   60.0 +0+0 "VGA1"
crtc 1:    1920x1200   60.0 +1920+0 "HDMI2"
crtc 2:    1920x1080   60.0 +3840+0 "HDMI3"
xrandr: Configure crtc 2 failed
crtc 0: disable
crtc 1: disable
crtc 2: disable
screen 0: revert
crtc 0: revert
crtc 1: revert
crtc 2: revert

-----------------------------
Actual results:
Third display never displays anything.

-----------------------------
Expected results:
3 displays working.

-----------------------------
Additional info:
Motherboard is Asus P8Z77-V LE.

# lspci 
00:00.0 Host bridge: Intel Corporation Ivy Bridge DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Ivy Bridge PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Device 0162 (rev 09)
00:14.0 USB Controller: Intel Corporation Panther Point USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation Panther Point MEI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation Panther Point USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation Panther Point High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 1 (rev c4)
00:1c.4 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 5 (rev c4)
00:1c.5 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c4)
00:1c.6 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 7 (rev c4)
00:1c.7 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 8 (rev c4)
00:1d.0 USB Controller: Intel Corporation Panther Point USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation Panther Point LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation Panther Point 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation Panther Point SMBus Controller (rev 04)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 09)
04:00.0 PCI bridge: ASMedia Technology Inc. Device 1080 (rev 03)
06:00.0 SATA controller: Marvell Technology Group Ltd. Device 9120 (rev 12)
07:00.0 USB Controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
Comment 1 Dariusz Garbowski 2012-07-01 00:52:09 EDT
Created attachment 595504 [details]
xrandr --verbose

Added output of xrandr --verbose
Comment 2 Dariusz Garbowski 2012-07-01 00:52:43 EDT
Created attachment 595505 [details]
xrandr

Added output of xrandr
Comment 3 Dariusz Garbowski 2012-07-01 00:55:30 EDT
There's no xorg.conf.
Comment 4 Dariusz Garbowski 2012-07-01 01:31:53 EDT
Hmmm... reading a bit more around the intertubes, I found some evidence that this setup might not be supported by Z77 chipset. Also motherboard manual suggests that two monitors can be connected to any of the outputs (VGA, DVI-D, HDMI, DisplayPort).

Can somebody well informed confirm this? If so then this bug is not a bug.
Comment 5 Dariusz Garbowski 2012-07-01 10:52:19 EDT
$ dmesg
[...]
[572654.966890] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572654.966949] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572654.967057] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572654.967060] detected fb_set_par error, error code: -22
[572654.967121] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572671.698551] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572671.698556] detected fb_set_par error, error code: -22
[572672.978565] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572672.978569] detected fb_set_par error, error code: -22
[572672.978630] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572672.978632] detected fb_set_par error, error code: -22
[572672.978669] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572672.978670] detected fb_set_par error, error code: -22
[572672.978701] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572674.854547] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572674.854552] detected fb_set_par error, error code: -22
[572674.854609] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572674.888731] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572674.888736] detected fb_set_par error, error code: -22
[572674.888793] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572689.683659] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572689.683666] detected fb_set_par error, error code: -22
[572689.683754] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572689.732042] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572689.732049] detected fb_set_par error, error code: -22
[572689.732109] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572693.667623] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572694.479014] [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on [CRTC:7]
[572694.479019] detected fb_set_par error, error code: -22
Comment 6 Adam Jackson 2012-07-03 13:39:58 EDT
Ivybridge does have "3 pipe support", but it's subtle.  The subtlety is that the hardware only has two PLLs for generating the clocks for those three pipes, which means three pipes only work if two or more of them use identical video timings.

The 1920x1200 modes you happen to have for VGA1 and HDMI2 do have identical timings, so afaik this should work.  Can I get a more complete dmesg from trying this with drm.debug=4 on the kernel command line?
Comment 7 Dariusz Garbowski 2012-07-04 02:45:03 EDT
Created attachment 596155 [details]
dmesg with drm.debug=4

Attached dmesg with drm.debug=4.
Lots of messages so it seems like not all stuff ends up as output of dmesg. If something is needed before the beginning of this file, let me know and I will grep /var/log/messages accordingly.
Comment 8 Dariusz Garbowski 2012-07-04 02:56:24 EDT
There is a disturbing side effect to having three displays connected: X fails to start. First I observed it when I logged off KDE -- X failed to start: no login manager, just console with bunch of messages as in comment #5. Well, I was on a mission to reboot with drm.debug=4 so no loss here. After reboot with debug param X failed to start again.

This is rather bad for couple of reasons:

  1. Inexperienced user has no clue what is wrong and will just assume that his Fedora is broken.

  2. Even after unplugging the HDMI cable and "init 5" as root on the console plymouth showed up but could not finish filling up the "Fedora infinity cloud" so X wouldn't start. I'm not sure what's the reason for init 5 not starting X eventually in this case. I see plymouth and systemd at the top of "top" but it's not like there's any particular CPU usage worth mentioning there (hovering around 0%, with plymouth sometimes at up to 2%). This may need more investigation.

Wouldn't it be better if X started in some limited capacity, even on just one display?

In one way it bumps up severity of this issue (since we have clear failure to start). On the other hand it's not like there are that many crazy people hooking whatever displays they can to all the video ports they can find ;-)
Comment 9 Dariusz Garbowski 2012-07-04 03:15:24 EDT
Quote from the motherboard user guide (page 2-39) I mentioned earlier:

"This motherboard comes with multiple VGA output that features desktop extension on two monitors. You can connect two monitors to any of two of the onboard VGA, DVI-D, HDMI and DisplayPort ports."

http://dlcdnet.asus.com/pub/ASUS/mb/LGA1155/P8Z77-V_LE/E7257_P8Z77-V_LE.pdf

It's a bit vague and funnily enough on other pages the manual boasts that the Ivy Bridge supports output to 3 monitors... Consistent and clear message to the customer seems to be lost somewhere between the lines, even if in one place they talk about CPU and another place about motherboard.
Comment 10 Fabien Wernli 2012-08-23 06:32:51 EDT
Hi,

I have the same problem using a Dell Latitude E6230.
The problem is worse if I boot the laptop with all screens attached: intel fbdev complains on console, and xorg can't even configure 2 external screens:

Case 1: booting without HDMI2 nor HDMI3 attached
        - enabling LVDS1 and HDMI2 and HDMI3 fails with crtc error
        - disabling LVDS and subsequently enabling HDMI2 and HDMI3
          succeeds (but doing this in one step fails with crtc error)
Case2: booting with both HDMI2 and HDMI3 attached
       - enabling LVDS1 and HDMI2 and HDMI3 fails with crtc error
       - disabling LVDS and subsequently enabling HDMI2 and HDMI3 fails
       - enabling LVDS1 and HDMI2 or HDMI3 succeeds

 -- xrandr --verbose --
Screen 0: minimum 320 x 200, current 3600 x 1200, maximum 8192 x 8192
LVDS1 connected (normal left inverted right x axis y axis)
        Identifier: 0x42
        Timestamp:  276876
        Subpixel:   horizontal rgb
        Clones:
        CRTCs:      0 1 2
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter:
        EDID:
                00ffffffffffff0030e46c0300000000
                00160104901c10780ad4659558558e28
                1f505400000001010101010101010101
                010101010101301b567050000e302020
                2400159c1000001a301b56ae5100c830
                30303500159c1000001a000000fe0038
                59393254803132355748320a00000000
                00004131940010000001010a2020009d
        BACKLIGHT: 0 (0x00000000)       range:  (0,4882)
        Backlight: 0 (0x00000000)       range:  (0,4882)
        scaling mode:   Full aspect
                supported: None         Full         Center       Full aspect
  1366x768 (0x4a)   69.6MHz +HSync -VSync +preferred
        h: width  1366 start 1398 end 1430 total 1478 skew    0 clock   47.1KHz
        v: height  768 start  770 end  774 total  782           clock   60.2Hz
  1366x768 (0x4b)   69.6MHz +HSync -VSync
        h: width  1366 start 1414 end 1462 total 1796 skew    0 clock   38.8KHz
        v: height  768 start  771 end  776 total  968           clock   40.0Hz
  1360x768 (0x4c)   84.8MHz -HSync +VSync
        h: width  1360 start 1432 end 1568 total 1776 skew    0 clock   47.7KHz
        v: height  768 start  771 end  781 total  798           clock   59.8Hz
  1360x768 (0x4d)   72.0MHz +HSync -VSync
        h: width  1360 start 1408 end 1440 total 1520 skew    0 clock   47.4KHz
        v: height  768 start  771 end  781 total  790           clock   60.0Hz
  1024x768 (0x4e)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x4f)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x50)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x51)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
VGA1 disconnected (normal left inverted right x axis y axis)
        Identifier: 0x43
        Timestamp:  276876
        Subpixel:   unknown
        Clones:
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter:
HDMI1 disconnected (normal left inverted right x axis y axis)
        Identifier: 0x44
        Timestamp:  276876
        Subpixel:   unknown
        Clones:
        CRTCs:      0 1 2
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter:
        Broadcast RGB:  Full
                supported: Full         Limited 16:2
        audio:  auto
                supported: off          auto         on
DP1 disconnected (normal left inverted right x axis y axis)
        Identifier: 0x45
        Timestamp:  276876
        Subpixel:   unknown
        Clones:
        CRTCs:      0 1 2
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter:
        Broadcast RGB:  Full
                supported: Full         Limited 16:2
        audio:  auto
                supported: off          auto         on
HDMI2 connected 1680x1050+0+0 (0xb9) normal (normal left inverted right x axis y
 axis) 473mm x 296mm
        Identifier: 0x46
        Timestamp:  276876
        Subpixel:   unknown
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:
        CRTC:       0
        CRTCs:      0 1 2
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter:
        EDID:
                00ffffffffffff0010ac3c404d363436
                29120103802f1e78eaa6e5aa5132ac26
                145054a54b00714f8180b30001010101
                01010101010121399030621a274068b0
                3600d9281100001c000000ff00473435
                36483841393634364d0a000000fc0044
                454c4c20323230385746500a000000fd
                00384c1e5310000a20202020202000a8
        Broadcast RGB:  Full
                supported: Full         Limited 16:2
        audio:  auto
                supported: off          auto         on
  1680x1050 (0xb9)  146.2MHz -HSync +VSync *current +preferred
        h: width  1680 start 1784 end 1960 total 2240 skew    0 clock   65.3KHz
        v: height 1050 start 1053 end 1059 total 1089           clock   60.0Hz
  1280x1024 (0xba)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1280x1024 (0xbb)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1152x864 (0xbc)  108.0MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock   67.5KHz
        v: height  864 start  865 end  868 total  900           clock   75.0Hz
  1024x768 (0xbd)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.1KHz
        v: height  768 start  769 end  772 total  800           clock   75.1Hz
  1024x768 (0x4e)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0xbe)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0x4f)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0xbf)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0xc0)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  720x400 (0xc1)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz
HDMI3 connected 1920x1200+1680+0 (0xc2) normal (normal left inverted right x axi
s y axis) 519mm x 324mm
        Identifier: 0x47
        Timestamp:  276876
        Subpixel:   unknown
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:
        CRTC:       1
        CRTCs:      0 1 2
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter:
        EDID:
                00ffffffffffff0010ac17a0534e3330
                2b10010380342178eeee91a3544c9926
                0f5054a54b008180a940714fb3000101
                010101010101283c80a070b023403020
                360007442100001a000000ff00434333
                303336415130334e5320000000fc0044
                454c4c20323430375746500a000000fd
                00384c1e5311000a20202020202000a4
        Broadcast RGB:  Full
                supported: Full         Limited 16:2
        audio:  auto
                supported: off          auto         on
  1920x1200 (0xc2)  154.0MHz +HSync -VSync *current +preferred
        h: width  1920 start 1968 end 2000 total 2080 skew    0 clock   74.0KHz
        v: height 1200 start 1203 end 1209 total 1235           clock   60.0Hz
  1600x1200 (0xc3)  162.0MHz +HSync +VSync
        h: width  1600 start 1664 end 1856 total 2160 skew    0 clock   75.0KHz
        v: height 1200 start 1201 end 1204 total 1250           clock   60.0Hz
  1680x1050 (0xb9)  146.2MHz -HSync +VSync
        h: width  1680 start 1784 end 1960 total 2240 skew    0 clock   65.3KHz
        v: height 1050 start 1053 end 1059 total 1089           clock   60.0Hz
  1280x1024 (0xba)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1280x1024 (0xbb)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1152x864 (0xbc)  108.0MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock   67.5KHz
        v: height  864 start  865 end  868 total  900           clock   75.0Hz
  1024x768 (0xbd)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.1KHz
        v: height  768 start  769 end  772 total  800           clock   75.1Hz
  1024x768 (0x4e)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0xbe)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0x4f)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0xbf)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0xc0)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  720x400 (0xc1)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz
DP2 disconnected (normal left inverted right x axis y axis)
        Identifier: 0x48
        Timestamp:  276876
        Subpixel:   unknown
        Clones:
        CRTCs:      0 1 2
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter:
        Broadcast RGB:  Full
                supported: Full         Limited 16:2
        audio:  auto
                supported: off          auto         on
DP3 disconnected (normal left inverted right x axis y axis)
        Identifier: 0x49
        Timestamp:  276876
        Subpixel:   unknown
        Clones:
        CRTCs:      0 1 2
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter:
        Broadcast RGB:  Full
                supported: Full         Limited 16:2
        audio:  auto
                supported: off          auto         on
Comment 11 Alvaro Lopez Ortega 2012-10-24 09:32:05 EDT
Just hit the same problem with a Lenovo X230 and two external displays (1 DVI and 1 VGA). Running F17 with kernel 3.6.2-4 and Xorg 1.12.3.
Comment 12 Terry Zhou 2013-02-05 00:01:22 EST
I am hitting the same problem during boot with ubuntu, system went to console mode after the following message, and I can't startup windows manager. I am with two external display one is VGA another is DVI.

[   17.861653] [drm:intel_crtc_set_config] *ERROR* failed to set mode on [CRTC:7]

$ Xorg -version

X.Org X Server 1.13.1.901 (1.13.2 RC 1)
Release Date: 2013-01-03
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-32-xen x86_64 Ubuntu
Current Operating System: Linux guest 3.7.0-7-generic #15-Ubuntu SMP Sat Dec 15 16:34:25 UTC 2012 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.7.0-7-generic root=UUID=a4ba620a-89df-4292-93fb-6dcebc217812 ro quiet splash vt.handoff=7
Build Date: 04 January 2013  11:17:34AM
xorg-server 2:1.13.1.901+git20130104+server-1.13-branch.3a8c618a-0ubuntu0ricotz~quantal (For technical support please see http://www.ubuntu.com/support) 
Current version of pixman: 0.28.2
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Comment 13 Terry Zhou 2013-02-05 00:17:42 EST
One workaround for now is unplug one connection such as VGA, and startup, then plugin after login to window manager, it can work.
Comment 14 Marko Karg 2013-02-25 06:09:16 EST
The problem still exists with F18, running 3.7.8-202.fc18.x86_64 and xorg-x11-server-Xorg-1.13.2-2.fc18.x86_64 / xorg-x11-drv-intel-2.21.2-1.fc18.x86_64
Comment 15 burgstaller.f 2013-02-28 14:44:49 EST
I have the same problem with a Sapphire VAPOR-X HD7770 OC Version 1GB (2xDVI/HDMI/DP), when i try to use 2 DVI displays and one HDMI.
Comment 16 Ian Pilcher 2013-04-25 16:17:46 EDT
(In reply to comment #6)
> Ivybridge does have "3 pipe support", but it's subtle.  The subtlety is that
> the hardware only has two PLLs for generating the clocks for those three
> pipes, which means three pipes only work if two or more of them use
> identical video timings.
> 
> The 1920x1200 modes you happen to have for VGA1 and HDMI2 do have identical
> timings, so afaik this should work.  Can I get a more complete dmesg from
> trying this with drm.debug=4 on the kernel command line?

See this for a possible explanation for some of the issues with triple-display setups:

  http://vr-zone.com/articles/most-desktop-ivy-bridge-systems-won-t-support-three-displays/15407.html

The net is that there are significant restrictions on which outputs can share a PLL, and it may not be possible at all with certain motherboards.  There's nothing that an OS or driver can do to change this.

What can hopefully be improved, however, is the way in which X deals with "impossible" configurations.  Currently, X tries to use all 3 displays, dies, and leaves the system back at a text console with the keyboard unusable.  (Network access to the system still works.)

dmesg output and X.org log coming.  (Note that these are from a ThinkPad T430s which *can* drive 3 displays when HDMI2 and HDMI3 are connected to identical displays.)
Comment 17 Ian Pilcher 2013-04-25 16:19:56 EDT
Created attachment 740072 [details]
dmesg with drm.debug=14 -- booting to runlevel 3
Comment 18 Ian Pilcher 2013-04-25 16:20:54 EDT
Created attachment 740073 [details]
dmesg with drm.debug=14 (continued) -- trying to start X
Comment 19 Ian Pilcher 2013-04-25 16:21:56 EDT
Created attachment 740074 [details]
X.org log
Comment 20 Leho Kraav 2013-08-08 09:10:59 EDT
i can confirm triple-display working fine when 2 of the three monitors share the same resolution. i initially attempted to run a set of 900p, 768p, 1080p monitors concurrently, received "xrandr: Configure crtc 2 failed". 900p, 1080p, 1080p otoh works.
Comment 21 Lukas Svaty 2013-08-15 07:56:07 EDT
tried this in F19 on 3 displays
LVDS1 connected 1600x900
VGA1 connected primary 1920x1080
and third one

$ xrandr --output HDMI3 --mode 1280x1024
xrandr: Configure crtc 2 failed

failed even on same resolution on two display and different on built-in
can post logs if necessary

adding myself to cc
Comment 22 Niklaus Hofer 2013-08-24 02:56:56 EDT
I got three (external) monitors working on my x230. I'm using Gentoo, but I guess it's more or less the same on all distributions. The important hint that got me on the right track came from Ian Pilchers link above.

First some details:
 - used kernels: 3.9.9, 3.11-rc4
 - xrandr: 1.3.5
 - xorg-server: 1.13.4

I got two identical (19") monitors and a third (22"), different one. I'm using a docking station with my Lenovo Thinkpad x230 (Intel(R) Core(TM) i5-3360M CPU).
If I connect one of the 19" monitors + the 22" monitors over Displayport (one Displayport per monitor, in case that is not obvious), and the second 19" monitor via VGA, I can't get all three to work. However, if I connect both 19" monitors via Displayport and the 22" monitor via VGA, then it works.

Also: If all three monitors are plugged in on boot, then they will all work during bootup (all showing the same output). The notebooks screen will then be black. After bootup I can just execute my xrandr script (see below) and the monitors work fine. If however, I plug in the screens after bootup and try to execut the script, I get an error message. I then have to disable the notebooks screen first and only enable one (any one of them, doesn't matter which) of the external screens. After that, I can then enable them all with the script.

Hope this helps anyone. If you need more information, just ask.

Here's the script I use:

xrandr --output DP3 --off --output DP2 --off --output DP1 --off --output HDMI3 --off --output HDMI2 --mode 1280x1024 --pos 2960x26 --rotate normal --output HDMI1 --mode 1280x1024 --pos 0x26 --rotate normal --output LVDS1 --off --output VGA1 --mode 1680x1050 --pos 1280x0 --rotate normal

And here's xrandr's output (with all three monitors working):

Screen 0: minimum 320 x 200, current 4240 x 1050, maximum 32767 x 32767
LVDS1 connected (normal left inverted right x axis y axis)
	Identifier: 0x42
	Timestamp:  297554
	Subpixel:   horizontal rgb
	Clones:    
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID:
		00ffffffffffff0030e4d80200000000
		00140103801c1078ead4e59559578b28
		20505400000001010101010101010101
		010101010101601d56d8500018303040
		4700159c1000001b0000000000000000
		00000000000000000000000000fe004c
		4720446973706c61790a2020000000fe
		004c503132355748322d534c42310084
	BACKLIGHT: 0 (0x00000000)	range:  (0,15)
	Backlight: 0 (0x00000000)	range:  (0,15)
	scaling mode:	Full aspect
		supported: None         Full         Center       Full aspect 
  1366x768 (0x4b)   75.2MHz +HSync -VSync +preferred
        h: width  1366 start 1414 end 1478 total 1582 skew    0 clock   47.5KHz
        v: height  768 start  772 end  779 total  792           clock   60.0Hz
  1024x768 (0x4c)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x4d)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x4e)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x4f)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
VGA1 connected 1680x1050+1280+0 (0x50) normal (normal left inverted right x axis y axis) 473mm x 296mm
	Identifier: 0x43
	Timestamp:  297554
	Subpixel:   unknown
	Gamma:      1.0:1.0:1.0
	Brightness: 1.0
	Clones:    
	CRTC:       0
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID:
		00ffffffffffff0010ac14d04c413333
		32110103682f1e78ee8f30a355499827
		145054a54b00714f8180010101010101
		01010101010121399030621a274068b0
		3600d9281100001c000000ff00445438
		36373743423333414c0a000000fd0038
		4b1e530f000a202020202020000000fc
		0044454c4c20453232385746500a0090
  1680x1050 (0x50)  146.2MHz -HSync +VSync *current +preferred
        h: width  1680 start 1784 end 1960 total 2240 skew    0 clock   65.3KHz
        v: height 1050 start 1053 end 1059 total 1089           clock   60.0Hz
  1280x1024 (0x51)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1280x1024 (0x52)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1152x864 (0x53)  108.0MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock   67.5KHz
        v: height  864 start  865 end  868 total  900           clock   75.0Hz
  1024x768 (0x54)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.1KHz
        v: height  768 start  769 end  772 total  800           clock   75.1Hz
  1024x768 (0x4c)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x55)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0x4d)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0x56)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0x57)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  720x400 (0x58)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz
HDMI1 connected 1280x1024+0+26 (0x52) normal (normal left inverted right x axis y axis) 376mm x 301mm
	Identifier: 0x44
	Timestamp:  297554
	Subpixel:   unknown
	Gamma:      1.0:1.0:1.0
	Brightness: 1.0
	Clones:    
	CRTC:       1
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID:
		00ffffffffffff000472240038761092
		1513010380261e6b2a6760a25a499e23
		135054bfef00818f8180714f7140614f
		6140454f8100302a009851002a403070
		1300782d1100001e000000ff004c425a
		3038303838343233330a000000fd0037
		4b1e530e000a202020202020000000fc
		004163657220563139330a20202000c8
	Broadcast RGB:	Automatic
		supported: Automatic    Full         Limited 16:2
	audio:	auto
		supported: force-dvi    off          auto         on          
  1280x1024 (0x52)  108.0MHz +HSync +VSync *current +preferred
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1280x1024 (0x51)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1280x800 (0x59)   71.0MHz +HSync -VSync
        h: width  1280 start 1328 end 1360 total 1440 skew    0 clock   49.3KHz
        v: height  800 start  803 end  809 total  823           clock   59.9Hz
  1152x864 (0x53)  108.0MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock   67.5KHz
        v: height  864 start  865 end  868 total  900           clock   75.0Hz
  1152x864 (0x5a)   81.6MHz -HSync +VSync
        h: width  1152 start 1216 end 1336 total 1520 skew    0 clock   53.7KHz
        v: height  864 start  865 end  868 total  895           clock   60.0Hz
  1024x768 (0x54)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.1KHz
        v: height  768 start  769 end  772 total  800           clock   75.1Hz
  1024x768 (0x5b)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.0KHz
        v: height  768 start  769 end  772 total  800           clock   75.0Hz
  1024x768 (0x5c)   75.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1328 skew    0 clock   56.5KHz
        v: height  768 start  771 end  777 total  806           clock   70.1Hz
  1024x768 (0x4c)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  832x624 (0x5d)   57.3MHz -HSync -VSync
        h: width   832 start  864 end  928 total 1152 skew    0 clock   49.7KHz
        v: height  624 start  625 end  628 total  667           clock   74.6Hz
  800x600 (0x5e)   50.0MHz +HSync +VSync
        h: width   800 start  856 end  976 total 1040 skew    0 clock   48.1KHz
        v: height  600 start  637 end  643 total  666           clock   72.2Hz
  800x600 (0x55)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0x4d)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x4e)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x5f)   31.5MHz -HSync -VSync
        h: width   640 start  664 end  704 total  832 skew    0 clock   37.9KHz
        v: height  480 start  489 end  491 total  520           clock   72.8Hz
  640x480 (0x56)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0x60)   30.2MHz -HSync -VSync
        h: width   640 start  704 end  768 total  864 skew    0 clock   35.0KHz
        v: height  480 start  483 end  486 total  525           clock   66.7Hz
  640x480 (0x57)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  720x400 (0x58)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz
DP1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x45
	Timestamp:  297554
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	Broadcast RGB:	Automatic
		supported: Automatic    Full         Limited 16:2
	audio:	auto
		supported: force-dvi    off          auto         on          
HDMI2 connected 1280x1024+2960+26 (0x52) normal (normal left inverted right x axis y axis) 376mm x 301mm
	Identifier: 0x46
	Timestamp:  297554
	Subpixel:   unknown
	Gamma:      1.0:1.0:1.0
	Brightness: 1.0
	Clones:    
	CRTC:       2
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID:
		00ffffffffffff000472240036761092
		1513010380261e6b2a6760a25a499e23
		135054bfef00818f8180714f7140614f
		6140454f8100302a009851002a403070
		1300782d1100001e000000ff004c425a
		3038303838343233330a000000fd0037
		4b1e530e000a202020202020000000fc
		004163657220563139330a20202000ca
	Broadcast RGB:	Automatic
		supported: Automatic    Full         Limited 16:2
	audio:	auto
		supported: force-dvi    off          auto         on          
  1280x1024 (0x52)  108.0MHz +HSync +VSync *current +preferred
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1280x1024 (0x51)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1280x800 (0x59)   71.0MHz +HSync -VSync
        h: width  1280 start 1328 end 1360 total 1440 skew    0 clock   49.3KHz
        v: height  800 start  803 end  809 total  823           clock   59.9Hz
  1152x864 (0x53)  108.0MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock   67.5KHz
        v: height  864 start  865 end  868 total  900           clock   75.0Hz
  1152x864 (0x5a)   81.6MHz -HSync +VSync
        h: width  1152 start 1216 end 1336 total 1520 skew    0 clock   53.7KHz
        v: height  864 start  865 end  868 total  895           clock   60.0Hz
  1024x768 (0x54)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.1KHz
        v: height  768 start  769 end  772 total  800           clock   75.1Hz
  1024x768 (0x5b)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.0KHz
        v: height  768 start  769 end  772 total  800           clock   75.0Hz
  1024x768 (0x5c)   75.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1328 skew    0 clock   56.5KHz
        v: height  768 start  771 end  777 total  806           clock   70.1Hz
  1024x768 (0x4c)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  832x624 (0x5d)   57.3MHz -HSync -VSync
        h: width   832 start  864 end  928 total 1152 skew    0 clock   49.7KHz
        v: height  624 start  625 end  628 total  667           clock   74.6Hz
  800x600 (0x5e)   50.0MHz +HSync +VSync
        h: width   800 start  856 end  976 total 1040 skew    0 clock   48.1KHz
        v: height  600 start  637 end  643 total  666           clock   72.2Hz
  800x600 (0x55)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0x4d)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x4e)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x5f)   31.5MHz -HSync -VSync
        h: width   640 start  664 end  704 total  832 skew    0 clock   37.9KHz
        v: height  480 start  489 end  491 total  520           clock   72.8Hz
  640x480 (0x56)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0x60)   30.2MHz -HSync -VSync
        h: width   640 start  704 end  768 total  864 skew    0 clock   35.0KHz
        v: height  480 start  483 end  486 total  525           clock   66.7Hz
  640x480 (0x57)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  720x400 (0x58)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz
HDMI3 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x47
	Timestamp:  297554
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	Broadcast RGB:	Automatic
		supported: Automatic    Full         Limited 16:2
	audio:	auto
		supported: force-dvi    off          auto         on          
DP2 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x48
	Timestamp:  297554
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	Broadcast RGB:	Automatic
		supported: Automatic    Full         Limited 16:2
	audio:	auto
		supported: force-dvi    off          auto         on          
DP3 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x49
	Timestamp:  297554
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	Broadcast RGB:	Automatic
		supported: Automatic    Full         Limited 16:2
	audio:	auto
		supported: force-dvi    off          auto         on
Comment 23 Jiri Pospisil 2013-11-01 05:39:54 EDT
Hi guys,
I ran into this bug on my F19 x86_64 on DELL Latitude E6330. The interesting thing is, that the triple monitor setup (1366x768 via LVDS and two 1920x1080's via DVI-D) works flawlessly with kernels up to 3.10.11-200, but with 3.11.x I get this abovementioned CRTC error. So it might be connected to the kernel.
Comment 24 Fedora End Of Life 2013-12-21 03:38:56 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 25 Fedora End Of Life 2014-02-05 07:01:08 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 26 Fedora End Of Life 2015-05-29 04:45:26 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 27 Fedora End Of Life 2015-06-29 07:39:25 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.